
use strict;
use warnings;



use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "All these modules are installed on LiveDVDs we give away",
  "AUTHOR" => "Renee Baecker <reneeb\@cpan.org>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "Task-LiveDVD-FrankfurtPM",
  "EXE_FILES" => [],
  "LICENSE" => "artistic_2",
  "NAME" => "Task::LiveDVD::FrankfurtPM",
  "PREREQ_PM" => {
    "Dancer" => "1.3118",
    "Dancer2::Plugin::BrowserDetect" => "1.131620",
    "Dancer2::Plugin::Cache::CHI" => "v1.5.2",
    "Dancer2::Plugin::Database" => "2.10",
    "Dancer2::Plugin::Feed" => "1.132820",
    "Dancer2::Session::Cookie" => "0.005",
    "Dancer2::Session::JSON" => "0.001",
    "Dancer2::Session::Memcached" => "0.003",
    "Dancer2::Session::MongoDB" => "0.002",
    "Dancer2::Session::Sereal" => "0.001",
    "Dancer::Debug" => "0.03",
    "Dancer::Layout::Bootstrap" => "0.02",
    "Dancer::Logger::ColorConsole" => "0.0004",
    "Dancer::Logger::ConsoleAggregator" => "0.004",
    "Dancer::Logger::ConsoleSpinner" => "0.02",
    "Dancer::Logger::Log4perl" => "v0.8.1",
    "Dancer::Logger::LogAny" => "0.002",
    "Dancer::Logger::LogHandler" => "0.01",
    "Dancer::Logger::PSGI" => "0.04",
    "Dancer::Logger::Pipe" => "0.01",
    "Dancer::Logger::Syslog" => "0.5",
    "Dancer::Middleware::Rebase" => "v0.8.0",
    "Dancer::Plugin::Adapter" => "0.004",
    "Dancer::Plugin::Async" => "0.001",
    "Dancer::Plugin::Auth::Basic" => "0.02",
    "Dancer::Plugin::Auth::Extensible" => "0.30",
    "Dancer::Plugin::Auth::Extensible::Provider::DBIC" => "v0.1.3",
    "Dancer::Plugin::Auth::Github" => "0.04",
    "Dancer::Plugin::Auth::Htpasswd" => "0.014",
    "Dancer::Plugin::Auth::Krb5" => "0.02",
    "Dancer::Plugin::Auth::RBAC" => "1.110720",
    "Dancer::Plugin::Auth::RBAC::Credentials::DBIC" => "0.003",
    "Dancer::Plugin::Auth::RBAC::Permissions::DBIC" => "0.003",
    "Dancer::Plugin::Auth::Tiny" => "0.002",
    "Dancer::Plugin::Auth::Twitter" => "0.05",
    "Dancer::Plugin::Authen::Simple" => "0.130500",
    "Dancer::Plugin::Authorize" => "1.110720",
    "Dancer::Plugin::Bcrypt" => "v0.4.1",
    "Dancer::Plugin::Browser" => "1.130570",
    "Dancer::Plugin::CDN" => "1.001",
    "Dancer::Plugin::Cache::CHI" => "v1.4.0",
    "Dancer::Plugin::Captcha::SecurityImage" => "0.10",
    "Dancer::Plugin::Catmandu::OAI" => "0.0302",
    "Dancer::Plugin::Catmandu::SRU" => "0.02",
    "Dancer::Plugin::Cerberus" => "0.03",
    "Dancer::Plugin::DBIC" => "0.1803",
    "Dancer::Plugin::DataFormValidator" => "0.002",
    "Dancer::Plugin::Database" => "2.08",
    "Dancer::Plugin::Database::Core" => "0.04",
    "Dancer::Plugin::DebugDump" => "0.03",
    "Dancer::Plugin::DebugToolbar" => "0.016",
    "Dancer::Plugin::Deferred" => "0.003",
    "Dancer::Plugin::DictionaryCheck" => "0.03",
    "Dancer::Plugin::DirectoryView" => "0.02",
    "Dancer::Plugin::Dispatcher" => "0.12",
    "Dancer::Plugin::Dropbox" => "0.00002",
    "Dancer::Plugin::ElasticModel" => "0.05",
    "Dancer::Plugin::ElasticSearch" => "0.002",
    "Dancer::Plugin::Email" => "1.0100",
    "Dancer::Plugin::EmailSender" => "0.002",
    "Dancer::Plugin::EmptyGIF" => "0.3",
    "Dancer::Plugin::EncodeID" => "0.02",
    "Dancer::Plugin::EscapeHTML" => "0.22",
    "Dancer::Plugin::ExtDirect" => "1.03",
    "Dancer::Plugin::Facebook" => "0.991",
    "Dancer::Plugin::Fake::Response" => "0.03",
    "Dancer::Plugin::FakeCGI" => "0.62",
    "Dancer::Plugin::Feed" => "1.131470",
    "Dancer::Plugin::FlashMessage" => "0.314",
    "Dancer::Plugin::FlashNote" => "v1.0.4",
    "Dancer::Plugin::FontSubset" => "v0.1.2",
    "Dancer::Plugin::FormValidator" => "1.131620",
    "Dancer::Plugin::FormattedOutput" => "0.01",
    "Dancer::Plugin::GearmanXS" => "0.110570",
    "Dancer::Plugin::HTML::FormDj" => "0.01",
    "Dancer::Plugin::Hosts" => "0.01",
    "Dancer::Plugin::I18N" => "0.41",
    "Dancer::Plugin::IRCNotice" => "0.04",
    "Dancer::Plugin::KossyValidator" => "0.04",
    "Dancer::Plugin::LDAP" => "0.0050",
    "Dancer::Plugin::Lexicon" => "0.05",
    "Dancer::Plugin::LibraryThing" => "0.0003",
    "Dancer::Plugin::Locale" => "0.0101",
    "Dancer::Plugin::Locale::Wolowitz" => "0.122470",
    "Dancer::Plugin::Log::DB" => "0.04",
    "Dancer::Plugin::Lucy" => "0.005",
    "Dancer::Plugin::MPD" => "0.03",
    "Dancer::Plugin::Memcached" => "0.02",
    "Dancer::Plugin::MemcachedFast" => "0.130500",
    "Dancer::Plugin::MobileDevice" => "0.05",
    "Dancer::Plugin::Mongo" => "0.03",
    "Dancer::Plugin::Mongoose" => "0.00002",
    "Dancer::Plugin::NYTProf" => "0.31",
    "Dancer::Plugin::Nitesi" => "0.0098",
    "Dancer::Plugin::ORMesque" => "1.113100",
    "Dancer::Plugin::Params::Normalization" => "0.51",
    "Dancer::Plugin::Passphrase" => "v2.0.0",
    "Dancer::Plugin::PasswordRequirements" => "0.01",
    "Dancer::Plugin::Preprocess::Sass" => "0.01",
    "Dancer::Plugin::Progress" => "0.001",
    "Dancer::Plugin::ProxyPath" => "0.03",
    "Dancer::Plugin::Queue" => "0.002",
    "Dancer::Plugin::Queue::MongoDB" => "0.003",
    "Dancer::Plugin::REST" => "0.07",
    "Dancer::Plugin::RESTModel" => "0.01",
    "Dancer::Plugin::RPC::XML" => "0.06",
    "Dancer::Plugin::Redis" => "0.7",
    "Dancer::Plugin::RequireSSL" => "0.121370",
    "Dancer::Plugin::Res" => "0.0003",
    "Dancer::Plugin::Resource" => "1.131120",
    "Dancer::Plugin::SMS" => "0.01",
    "Dancer::Plugin::SimpleCRUD" => "0.91",
    "Dancer::Plugin::SiteMap" => "0.11",
    "Dancer::Plugin::SporeDefinitionControl" => "0.13",
    "Dancer::Plugin::Stomp" => "1.0302",
    "Dancer::Plugin::Syntax::GetPost" => "0.001",
    "Dancer::Plugin::TTHelpers" => "0.005",
    "Dancer::Plugin::Tapir" => "0.05",
    "Dancer::Plugin::Thumbnail" => "0.07",
    "Dancer::Plugin::TimeRequests" => "0.06",
    "Dancer::Plugin::ValidateTiny" => "0.05",
    "Dancer::Plugin::ValidationClass" => "0.120490",
    "Dancer::Plugin::WebDAV" => "v0.0.5",
    "Dancer::Plugin::WebSocket" => "0.0100",
    "Dancer::Plugin::WindowSession" => "0.02",
    "Dancer::Plugin::XML::RSS" => "0.01",
    "Dancer::Plugin::reCAPTCHA" => "0.2",
    "Dancer::Serializer::Messagepack" => "0.01",
    "Dancer::Serializer::UUEncode" => "0.02",
    "Dancer::Session::Catmandu" => "0.02",
    "Dancer::Session::Cookie" => "0.22",
    "Dancer::Session::DBI" => "v1.2.1",
    "Dancer::Session::ElasticSearch" => "1.005",
    "Dancer::Session::JSON" => "0.001",
    "Dancer::Session::KiokuDB" => "0.05",
    "Dancer::Session::Memcached" => "0.202",
    "Dancer::Session::MongoDB" => "0.3",
    "Dancer::Session::PSGI" => "0.01",
    "Dancer::Session::Redis" => "0.22",
    "Dancer::Session::Storable" => "0.06",
    "Dancer::Template::Alloy" => "1.02",
    "Dancer::Template::Caml" => "0.10",
    "Dancer::Template::Caribou" => "v0.1.1",
    "Dancer::Template::Ctpp2" => "0.02",
    "Dancer::Template::Haml" => "0.01",
    "Dancer::Template::HtmlTemplate" => "0.07",
    "Dancer::Template::Mason" => "0.004000",
    "Dancer::Template::Mason2" => "0.04",
    "Dancer::Template::MicroTemplate" => "v1.0.0",
    "Dancer::Template::MojoTemplate" => "v0.2.0",
    "Dancer::Template::Mustache" => "v0.2.0",
    "Dancer::Template::Semantic" => "0.01",
    "Dancer::Template::TemplateDeclare" => "v0.3.2",
    "Dancer::Template::TemplateFlute" => "0.0061",
    "Dancer::Template::TemplateSandbox" => "1.00",
    "Dancer::Template::Tenjin" => "0.5",
    "Dancer::Template::Tiny" => "0.03",
    "Dancer::Template::Xslate" => "0.03",
    "DancerX::Config" => "0.05",
    "DancerX::Routes" => "0.06",
    "Dist::Zilla" => "4.300039",
    "Dist::Zilla::App::Command::cover" => "1.101001",
    "Dist::Zilla::App::Command::dhmakeperl" => "0.002",
    "Dist::Zilla::App::Command::dumpphases" => "v0.3.4",
    "Dist::Zilla::App::Command::podpreview" => "0.004",
    "Dist::Zilla::App::Command::pot" => "1.112680",
    "Dist::Zilla::App::Command::weaverconf" => "0.02",
    "Dist::Zilla::BeLike::CSJEWELL" => "0.901",
    "Dist::Zilla::Config::Slicer" => "0.200",
    "Dist::Zilla::Deb" => "0.04",
    "Dist::Zilla::LocaleTextDomain" => "0.86",
    "Dist::Zilla::MintingProfile::Author::ARODLAND" => "0.02",
    "Dist::Zilla::MintingProfile::Author::Caelum" => "0.08",
    "Dist::Zilla::MintingProfile::Author::FIBO" => 20130627,
    "Dist::Zilla::MintingProfile::Clustericious" => "0.02",
    "Dist::Zilla::MintingProfile::MooseXDeclare" => "0.200",
    "Dist::Zilla::MintingProfile::PLTK" => "v0.2.0",
    "Dist::Zilla::MintingProfile::Project::OSM" => "v0.2.0",
    "Dist::Zilla::MintingProfile::RTx" => "0.07",
    "Dist::Zilla::MintingProfile::SYP" => "0.007",
    "Dist::Zilla::Plugin::Alien" => "0.008",
    "Dist::Zilla::Plugin::ApacheTest" => "0.01",
    "Dist::Zilla::Plugin::ApocalypseTests" => "1.001",
    "Dist::Zilla::Plugin::AppendExternalData" => "0.003",
    "Dist::Zilla::Plugin::AssertOS" => "0.06",
    "Dist::Zilla::Plugin::Author::KENTNL::Prereqs::Latest::Selective" => "v0.1.0",
    "Dist::Zilla::Plugin::Authority" => "1.006",
    "Dist::Zilla::Plugin::AutoMetaResources" => "1.20",
    "Dist::Zilla::Plugin::AutoModuleShareDirs" => "0.001",
    "Dist::Zilla::Plugin::AutoVersion::Relative" => "0.03000002",
    "Dist::Zilla::Plugin::Bootstrap::ShareDir::Dist" => "v0.2.3",
    "Dist::Zilla::Plugin::Bootstrap::ShareDir::Module" => "v0.1.2",
    "Dist::Zilla::Plugin::Bootstrap::lib" => "0.04000001",
    "Dist::Zilla::Plugin::Bugtracker" => "1.111080",
    "Dist::Zilla::Plugin::BuildFile" => "0.04",
    "Dist::Zilla::Plugin::BuildSelf" => "0.003",
    "Dist::Zilla::Plugin::BumpVersionFromGit" => "0.009",
    "Dist::Zilla::Plugin::BundleInspector" => "0.003",
    "Dist::Zilla::Plugin::CPANChangesTests" => "1.002",
    "Dist::Zilla::Plugin::CSS::Compressor" => "0.01",
    "Dist::Zilla::Plugin::Catalyst" => "0.15",
    "Dist::Zilla::Plugin::ChangeStats::Git" => "v0.2.1",
    "Dist::Zilla::Plugin::ChangelogFromGit" => "0.015",
    "Dist::Zilla::Plugin::ChangelogFromGit::CPAN::Changes" => "v0.0.4",
    "Dist::Zilla::Plugin::ChangelogFromGit::Debian" => "0.09",
    "Dist::Zilla::Plugin::ChangelogFromGit::Debian::Sequential" => "0.4",
    "Dist::Zilla::Plugin::CheckChangeLog" => "0.01",
    "Dist::Zilla::Plugin::CheckChangesHasContent" => "0.006",
    "Dist::Zilla::Plugin::CheckEmacsChangeLog" => "v0.0.2",
    "Dist::Zilla::Plugin::CheckExtraTests" => "0.013",
    "Dist::Zilla::Plugin::CheckMetaResources" => "0.001",
    "Dist::Zilla::Plugin::CheckPrereqsIndexed" => "0.009",
    "Dist::Zilla::Plugin::CheckSelfDependency" => "0.003",
    "Dist::Zilla::Plugin::CheckVersionIncrement" => "0.121750",
    "Dist::Zilla::Plugin::Chrome::ExtraPrompt" => "0.003",
    "Dist::Zilla::Plugin::Clean" => "0.07",
    "Dist::Zilla::Plugin::CoalescePod" => "v0.2.1",
    "Dist::Zilla::Plugin::CoderwallEndorse" => "v0.1.2",
    "Dist::Zilla::Plugin::Conflicts" => "0.13",
    "Dist::Zilla::Plugin::ConsistentVersionTest" => "0.02",
    "Dist::Zilla::Plugin::ContributorsFile" => "v0.2.0",
    "Dist::Zilla::Plugin::ContributorsFromGit" => "0.006",
    "Dist::Zilla::Plugin::Control::Debian" => "0.002",
    "Dist::Zilla::Plugin::CopyFilesFromBuild" => "0.103510",
    "Dist::Zilla::Plugin::CopyFilesFromRelease" => "0.001",
    "Dist::Zilla::Plugin::CopyReadmeFromBuild" => "0.0019",
    "Dist::Zilla::Plugin::CopyTo" => "0.11",
    "Dist::Zilla::Plugin::Covenant" => "v0.1.0",
    "Dist::Zilla::Plugin::CustomLicense" => "v1.0.2",
    "Dist::Zilla::Plugin::Doppelgaenger" => "0.005",
    "Dist::Zilla::Plugin::Dpkg" => "0.05",
    "Dist::Zilla::Plugin::Dpkg::PerlbrewStarman" => "0.16",
    "Dist::Zilla::Plugin::DualBuilders" => "1.001",
    "Dist::Zilla::Plugin::DualLife" => "0.03",
    "Dist::Zilla::Plugin::EOLTests" => "0.02",
    "Dist::Zilla::Plugin::EmailNotify" => "0.002",
    "Dist::Zilla::Plugin::Extras" => "0.01",
    "Dist::Zilla::Plugin::FakeFaker" => "0.04",
    "Dist::Zilla::Plugin::FatPacker" => "1.100841",
    "Dist::Zilla::Plugin::FileKeywords" => "0.02",
    "Dist::Zilla::Plugin::FindDirByRegex" => "1.102640",
    "Dist::Zilla::Plugin::GatherFromManifest" => "1.001",
    "Dist::Zilla::Plugin::GenerateFile::ShareDir" => "0.002",
    "Dist::Zilla::Plugin::Git" => "2.016",
    "Dist::Zilla::Plugin::Git::Describe" => "0.003",
    "Dist::Zilla::Plugin::Git::DescribeVersion" => "1.004",
    "Dist::Zilla::Plugin::Git::ExcludeUntracked" => "0.03",
    "Dist::Zilla::Plugin::Git::PushInitial" => "0.02",
    "Dist::Zilla::Plugin::Git::Remote::Check" => "v0.1.2",
    "Dist::Zilla::Plugin::GitFmtChanges" => "0.005",
    "Dist::Zilla::Plugin::GitHub" => "0.35",
    "Dist::Zilla::Plugin::GitObtain" => "0.06",
    "Dist::Zilla::Plugin::GithubMeta" => "0.42",
    "Dist::Zilla::Plugin::HasVersionTests" => "1.101420",
    "Dist::Zilla::Plugin::HelpWanted" => "v0.3.1",
    "Dist::Zilla::Plugin::Homepage" => "1.101420",
    "Dist::Zilla::Plugin::Inject" => "0.001",
    "Dist::Zilla::Plugin::InsertCopyright" => "0.002",
    "Dist::Zilla::Plugin::InsertExample" => "0.02",
    "Dist::Zilla::Plugin::InstallGuide" => "1.200001",
    "Dist::Zilla::Plugin::InstallRelease" => "0.008",
    "Dist::Zilla::Plugin::JSAN" => "0.06",
    "Dist::Zilla::Plugin::JavaScript::Minifier" => "0.01",
    "Dist::Zilla::Plugin::LatestPrereqs" => "0.4",
    "Dist::Zilla::Plugin::LaunchpadPPA" => "0.1",
    "Dist::Zilla::Plugin::LicenseFromModule" => "0.03",
    "Dist::Zilla::Plugin::LocaleMsgfmt" => "1.203",
    "Dist::Zilla::Plugin::MakeMaker::Awesome" => "0.18",
    "Dist::Zilla::Plugin::MakeMaker::Fallback" => "0.003",
    "Dist::Zilla::Plugin::MakeMaker::Highlander" => "0.003",
    "Dist::Zilla::Plugin::MakeMaker::IncShareDir" => "0.01",
    "Dist::Zilla::Plugin::MakeMaker::SkipInstall" => "1.100",
    "Dist::Zilla::Plugin::ManifestInRoot" => "v0.2.1",
    "Dist::Zilla::Plugin::MarkdownInRoot" => "v0.1.5",
    "Dist::Zilla::Plugin::MatchManifest" => "4.01",
    "Dist::Zilla::Plugin::Mercurial" => "0.03",
    "Dist::Zilla::Plugin::Meta::Contributors" => "0.001",
    "Dist::Zilla::Plugin::Meta::Dynamic::Config" => "0.04",
    "Dist::Zilla::Plugin::MetaData::BuiltWith" => "0.04000000",
    "Dist::Zilla::Plugin::MetaProvides" => "1.15000000",
    "Dist::Zilla::Plugin::MetaProvides::Class" => "1.14000001",
    "Dist::Zilla::Plugin::MetaProvides::FromFile" => "1.11060211",
    "Dist::Zilla::Plugin::MetaProvides::Package" => "1.15000000",
    "Dist::Zilla::Plugin::MetaResourcesFromGit" => "1.103620",
    "Dist::Zilla::Plugin::MinimumPerl" => "1.003",
    "Dist::Zilla::Plugin::MinimumPerlFast" => "0.001",
    "Dist::Zilla::Plugin::ModuleBuild::OptionalXS" => "0.01",
    "Dist::Zilla::Plugin::ModuleBuild::RequireXS" => "0.01",
    "Dist::Zilla::Plugin::ModuleBuild::XSOrPP" => "0.04",
    "Dist::Zilla::Plugin::ModuleBuildDatabase" => "0.05",
    "Dist::Zilla::Plugin::ModuleBuildTiny" => "0.005",
    "Dist::Zilla::Plugin::ModuleInstall" => "0.02000000",
    "Dist::Zilla::Plugin::MojibakeTests" => "0.5",
    "Dist::Zilla::Plugin::Moz" => "0.104",
    "Dist::Zilla::Plugin::MungeFile::WithData" => "0.004",
    "Dist::Zilla::Plugin::NameFromDirectory" => "0.03",
    "Dist::Zilla::Plugin::NextVersion::Semantic" => "v0.1.3",
    "Dist::Zilla::Plugin::NoAutomatedTesting" => "0.06",
    "Dist::Zilla::Plugin::NoSmartCommentsTests" => "0.006",
    "Dist::Zilla::Plugin::OSPrereqs" => "0.003",
    "Dist::Zilla::Plugin::OnlyCorePrereqs" => "0.008",
    "Dist::Zilla::Plugin::OptionalFeature" => "0.007",
    "Dist::Zilla::Plugin::OurPkgVersion" => "0.005000",
    "Dist::Zilla::Plugin::OverridePkgVersion" => "0.001",
    "Dist::Zilla::Plugin::PPPort" => "0.005",
    "Dist::Zilla::Plugin::PerlTidy" => "0.13",
    "Dist::Zilla::Plugin::PerlVersionPrereqs" => "0.01",
    "Dist::Zilla::Plugin::Pinto::Add" => "0.083",
    "Dist::Zilla::Plugin::PkgVersionIfModuleWithPod" => "0.01",
    "Dist::Zilla::Plugin::Pod2Html" => "v0.1.2",
    "Dist::Zilla::Plugin::PodInherit" => "0.007",
    "Dist::Zilla::Plugin::PodLinkTests" => "1.006",
    "Dist::Zilla::Plugin::PodLoom" => "4.10",
    "Dist::Zilla::Plugin::PodPurler" => "0.093401",
    "Dist::Zilla::Plugin::PodWeaver" => "3.102000",
    "Dist::Zilla::Plugin::PodWeaverIfPod" => "0.02",
    "Dist::Zilla::Plugin::PrePAN" => "0.01",
    "Dist::Zilla::Plugin::Prepender" => "1.112280",
    "Dist::Zilla::Plugin::Prereqs::DarkPAN" => "v0.2.2",
    "Dist::Zilla::Plugin::Prereqs::FromCPANfile" => "0.06",
    "Dist::Zilla::Plugin::Prereqs::MatchInstalled" => "v0.1.4",
    "Dist::Zilla::Plugin::Prereqs::MatchInstalled::All" => "v0.1.2",
    "Dist::Zilla::Plugin::Prereqs::Plugins" => "v0.1.3",
    "Dist::Zilla::Plugin::Prereqs::SyncVersions" => "0.001001",
    "Dist::Zilla::Plugin::PromptIfStale" => "0.008",
    "Dist::Zilla::Plugin::PurePerlTests" => "0.03",
    "Dist::Zilla::Plugin::RPM" => "0.007",
    "Dist::Zilla::Plugin::ReadmeAnyFromPod" => "0.131500",
    "Dist::Zilla::Plugin::ReadmeFromPod" => "0.18",
    "Dist::Zilla::Plugin::ReadmeMarkdownFromPod" => "0.120120",
    "Dist::Zilla::Plugin::RemovePhasedPrereqs" => "0.002",
    "Dist::Zilla::Plugin::RemovePrereqsMatching" => "0.002",
    "Dist::Zilla::Plugin::ReportPhase" => "0.03",
    "Dist::Zilla::Plugin::ReportVersions" => "1.110730",
    "Dist::Zilla::Plugin::ReportVersions::Tiny" => "1.10",
    "Dist::Zilla::Plugin::Repository" => "0.19",
    "Dist::Zilla::Plugin::RequiresExternal" => "1.004",
    "Dist::Zilla::Plugin::ReversionOnRelease" => "0.05",
    "Dist::Zilla::Plugin::Rinci::Validate" => "0.09",
    "Dist::Zilla::Plugin::Rsync" => "0.1",
    "Dist::Zilla::Plugin::Run" => "0.020",
    "Dist::Zilla::Plugin::RunByBranch" => "0.212",
    "Dist::Zilla::Plugin::SVK" => "0.10",
    "Dist::Zilla::Plugin::SanityTests" => "0.03",
    "Dist::Zilla::Plugin::SchwartzRatio" => "v0.2.0",
    "Dist::Zilla::Plugin::ScpDeploy" => "1.20110709",
    "Dist::Zilla::Plugin::ShareDir::Tarball" => "v0.4.1",
    "Dist::Zilla::Plugin::Signature" => "1.100930",
    "Dist::Zilla::Plugin::SpellingCommonMistakesTests" => "1.001000",
    "Dist::Zilla::Plugin::StaticVersion" => "0.103521",
    "Dist::Zilla::Plugin::SubmittingPatches" => "0.03",
    "Dist::Zilla::Plugin::Substitute" => "0.003",
    "Dist::Zilla::Plugin::Subversion" => "1.101590",
    "Dist::Zilla::Plugin::Subversion::NextVersion" => "1.002",
    "Dist::Zilla::Plugin::SurgicalPodWeaver" => "0.0021",
    "Dist::Zilla::Plugin::SvnObtain" => "0.02",
    "Dist::Zilla::Plugin::TaskWeaver" => "0.101626",
    "Dist::Zilla::Plugin::Template::Tiny" => "0.03",
    "Dist::Zilla::Plugin::TemplateCJM" => "4.21",
    "Dist::Zilla::Plugin::TemplateFile" => "0.01",
    "Dist::Zilla::Plugin::Test::CPAN::Changes" => "0.008",
    "Dist::Zilla::Plugin::Test::CPAN::Meta::JSON" => "0.003",
    "Dist::Zilla::Plugin::Test::CheckChanges" => "2.000003",
    "Dist::Zilla::Plugin::Test::CheckDeps" => "0.010",
    "Dist::Zilla::Plugin::Test::CheckManifest" => "0.04",
    "Dist::Zilla::Plugin::Test::Compile" => "2.037",
    "Dist::Zilla::Plugin::Test::DistManifest" => "2.000004",
    "Dist::Zilla::Plugin::Test::EOL" => "0.08",
    "Dist::Zilla::Plugin::Test::Fixme" => "1.123160",
    "Dist::Zilla::Plugin::Test::Kwalitee" => "2.07",
    "Dist::Zilla::Plugin::Test::Legal" => "0.01",
    "Dist::Zilla::Plugin::Test::LocalBrew" => "0.05",
    "Dist::Zilla::Plugin::Test::MinimumVersion" => "2.000005",
    "Dist::Zilla::Plugin::Test::NewVersion" => "0.009",
    "Dist::Zilla::Plugin::Test::NoTabs" => "0.05",
    "Dist::Zilla::Plugin::Test::Perl::Critic" => "2.112410",
    "Dist::Zilla::Plugin::Test::Pod::LinkCheck" => "1.001",
    "Dist::Zilla::Plugin::Test::Pod::No404s" => "1.001",
    "Dist::Zilla::Plugin::Test::PodSpelling" => "2.006001",
    "Dist::Zilla::Plugin::Test::Portability" => "2.000005",
    "Dist::Zilla::Plugin::Test::ReportPrereqs" => "0.010",
    "Dist::Zilla::Plugin::Test::Rinci" => "0.01",
    "Dist::Zilla::Plugin::Test::Synopsis" => "2.000004",
    "Dist::Zilla::Plugin::Test::TrailingSpace" => "v0.0.2",
    "Dist::Zilla::Plugin::Test::UnusedVars" => "2.000005",
    "Dist::Zilla::Plugin::Test::UseAllModules" => "0.002",
    "Dist::Zilla::Plugin::Test::Version" => "0.002004",
    "Dist::Zilla::Plugin::TestRun" => "v0.0.1",
    "Dist::Zilla::Plugin::TextTabs" => "0.02",
    "Dist::Zilla::Plugin::TidyAll" => "0.03",
    "Dist::Zilla::Plugin::Travis::ConfigForReleaseBranch" => "0.001",
    "Dist::Zilla::Plugin::TravisCI" => "0.003",
    "Dist::Zilla::Plugin::TravisCI::StatusBadge" => "0.003",
    "Dist::Zilla::Plugin::Twitter" => "0.023",
    "Dist::Zilla::Plugin::TwitterBootstrap" => "0.04",
    "Dist::Zilla::Plugin::Upload::SCP" => "0.002",
    "Dist::Zilla::Plugin::UploadToCpanSite" => "1.132210",
    "Dist::Zilla::Plugin::UploadToDuckPAN" => "0.004",
    "Dist::Zilla::Plugin::UploadToGoogleCode" => "0.003",
    "Dist::Zilla::Plugin::UploadToSFTP" => "0.002",
    "Dist::Zilla::Plugin::Version::FromSubversion" => "1.000019",
    "Dist::Zilla::Plugin::Version::Git::Flowish" => "0.09",
    "Dist::Zilla::Plugin::VersionFromScript" => "0.017",
    "Dist::Zilla::Plugin::WSDL" => "0.205",
    "Dist::Zilla::Plugin::Web" => "v0.0.6",
    "Dist::Zilla::Plugin::jQuery" => "0.01",
    "Dist::Zilla::PluginBundle::ACPS" => "0.27",
    "Dist::Zilla::PluginBundle::AJGB" => "2.03",
    "Dist::Zilla::PluginBundle::AMD" => "0.011",
    "Dist::Zilla::PluginBundle::ANELSON" => "0.01",
    "Dist::Zilla::PluginBundle::ARJONES" => "1.131000",
    "Dist::Zilla::PluginBundle::ARODLAND" => "0.03",
    "Dist::Zilla::PluginBundle::AVAR" => "0.30",
    "Dist::Zilla::PluginBundle::Apocalyptic" => "0.003",
    "Dist::Zilla::PluginBundle::Author::ALEXBIO" => "2.05",
    "Dist::Zilla::PluginBundle::Author::BBYRD" => "0.99",
    "Dist::Zilla::PluginBundle::Author::CHIM" => "0.04",
    "Dist::Zilla::PluginBundle::Author::CJM" => "4.30",
    "Dist::Zilla::PluginBundle::Author::Celogeek" => "1.0",
    "Dist::Zilla::PluginBundle::Author::DBR" => "v1.2.2",
    "Dist::Zilla::PluginBundle::Author::DOHERTY" => "0.37",
    "Dist::Zilla::PluginBundle::Author::ETHER" => "0.032",
    "Dist::Zilla::PluginBundle::Author::GETTY" => "0.015",
    "Dist::Zilla::PluginBundle::Author::JQUELIN" => "3.002",
    "Dist::Zilla::PluginBundle::Author::KENTNL" => "2.000000",
    "Dist::Zilla::PluginBundle::Author::KENTNL::Lite" => "v1.7.2",
    "Dist::Zilla::PluginBundle::Author::LESPEA" => "1.006000",
    "Dist::Zilla::PluginBundle::Author::LOGIE" => "0.04",
    "Dist::Zilla::PluginBundle::Author::LXP" => "v1.0.1",
    "Dist::Zilla::PluginBundle::Author::MELO" => "0.012",
    "Dist::Zilla::PluginBundle::Author::OLIVER" => "1.122720",
    "Dist::Zilla::PluginBundle::Author::Plicease" => "1.27",
    "Dist::Zilla::PluginBundle::Author::RAYM" => "0.002",
    "Dist::Zilla::PluginBundle::Author::RHOELZ" => "0.04",
    "Dist::Zilla::PluginBundle::Author::RTHOMPSON" => "0.132801",
    "Dist::Zilla::PluginBundle::Author::RUSSOZ" => "0.022",
    "Dist::Zilla::PluginBundle::Author::RWSTAUNER" => "4.102",
    "Dist::Zilla::PluginBundle::Author::SHARYANTO" => "0.11",
    "Dist::Zilla::PluginBundle::BAREFOOT" => "0.03",
    "Dist::Zilla::PluginBundle::BESSARABV" => "v1.0.1",
    "Dist::Zilla::PluginBundle::BINGOS" => "0.18",
    "Dist::Zilla::PluginBundle::BioPerl" => "0.20",
    "Dist::Zilla::PluginBundle::Bioperl" => "0.01",
    "Dist::Zilla::PluginBundle::CEBJYRE" => "v0.4.0",
    "Dist::Zilla::PluginBundle::CJFIELDS" => "0.06",
    "Dist::Zilla::PluginBundle::DAGOLDEN" => "0.057",
    "Dist::Zilla::PluginBundle::DANIELP" => "1.04",
    "Dist::Zilla::PluginBundle::DBR" => "0.024",
    "Dist::Zilla::PluginBundle::DOY" => "0.14",
    "Dist::Zilla::PluginBundle::DROLSKY" => "0.03",
    "Dist::Zilla::PluginBundle::Dancer" => "0.0008",
    "Dist::Zilla::PluginBundle::FAYLAND" => "0.11",
    "Dist::Zilla::PluginBundle::FFFINKEL" => "0.005",
    "Dist::Zilla::PluginBundle::FLORA" => "0.14",
    "Dist::Zilla::PluginBundle::GENEHACK" => "0.6",
    "Dist::Zilla::PluginBundle::GETTY" => "0.008",
    "Dist::Zilla::PluginBundle::GPHAT" => "0.04",
    "Dist::Zilla::PluginBundle::GRS" => "0.07",
    "Dist::Zilla::PluginBundle::Git::CheckFor" => "0.007",
    "Dist::Zilla::PluginBundle::HARTZELL" => "0.008",
    "Dist::Zilla::PluginBundle::IDOPEREL" => "0.701",
    "Dist::Zilla::PluginBundle::INGY" => "v0.0.2",
    "Dist::Zilla::PluginBundle::JAITKEN" => "v0.1.4",
    "Dist::Zilla::PluginBundle::JQUELIN" => "1.111710",
    "Dist::Zilla::PluginBundle::JROCKWAY" => "1.102911",
    "Dist::Zilla::PluginBundle::LEONT" => "0.010",
    "Dist::Zilla::PluginBundle::MARCEL" => "1.121330",
    "Dist::Zilla::PluginBundle::MITHALDU" => "1.120300",
    "Dist::Zilla::PluginBundle::MSCHOUT" => "0.22",
    "Dist::Zilla::PluginBundle::NIGELM" => "0.16",
    "Dist::Zilla::PluginBundle::NRR" => "0.121220",
    "Dist::Zilla::PluginBundle::NUFFIN" => "0.01",
    "Dist::Zilla::PluginBundle::PDONELAN" => "1.201",
    "Dist::Zilla::PluginBundle::Prereqs" => "0.92",
    "Dist::Zilla::PluginBundle::RBO" => "0.002",
    "Dist::Zilla::PluginBundle::RBUELS" => "0.1",
    "Dist::Zilla::PluginBundle::RJBS" => "1.018",
    "Dist::Zilla::PluginBundle::ROKR" => "0.0019",
    "Dist::Zilla::PluginBundle::RSRCHBOY" => "0.043",
    "Dist::Zilla::PluginBundle::Rakudo" => "0.01",
    "Dist::Zilla::PluginBundle::SCHWIGON" => "0.012",
    "Dist::Zilla::PluginBundle::SHANTANU" => "0.23",
    "Dist::Zilla::PluginBundle::TAPPER" => "0.001",
    "Dist::Zilla::PluginBundle::TestingMania" => "0.21",
    "Dist::Zilla::PluginBundle::YANICK" => "v0.18.3",
    "Dist::Zilla::Plugins::CJM" => "4.20",
    "Dist::Zilla::Role::Bootstrap" => "v0.2.1",
    "Dist::Zilla::Role::DynamicConfig" => "1.002",
    "Dist::Zilla::Role::EnsureStash" => "0.002",
    "Dist::Zilla::Role::File::ChangeNotification" => "0.001",
    "Dist::Zilla::Role::MetaCPANInterfacer" => "0.96",
    "Dist::Zilla::Role::ModuleIncluder" => "0.003",
    "Dist::Zilla::Role::PluginBundle::Merged" => "1.00",
    "Dist::Zilla::Role::PluginBundle::PluginRemover" => "0.102",
    "Dist::Zilla::Role::RegisterStash" => "0.002",
    "Dist::Zilla::Role::Stash::Plugins" => "1.006",
    "Dist::Zilla::Role::Tempdir" => "0.01053722",
    "Dist::Zilla::Shell" => "0.005",
    "Dist::Zilla::Stash::Contributors" => "v0.1.0",
    "Dist::Zilla::Stash::PAUSE::Encrypted" => "0.003",
    "Dist::Zilla::Stash::PodWeaver" => "1.005",
    "Dist::Zilla::TravisCI" => "1.04",
    "Dist::Zilla::Util::BundleInfo" => "v0.1.3",
    "Dist::Zilla::Util::EmulatePhase" => "0.01025802",
    "Dist::Zilla::Util::FileGenerator" => "0.120090",
    "Dist::Zilla::Util::SimpleMunge" => "v0.2.2",
    "Dist::Zilla::Util::Test::KENTNL" => "0.01015823",
    "Mojo::APNS" => "0.0402",
    "Mojo::Base::XS" => "0.07",
    "Mojo::Command::Generate::InitScript" => "0.03",
    "Mojo::Facebook" => "0.0402",
    "Mojo::IRC" => "0.0303",
    "Mojo::JSON::Any" => "0.990104",
    "Mojo::Redis" => "0.9917",
    "Mojo::SNMP" => "0.04",
    "Mojo::Server::FastCGI" => "0.41",
    "Mojo::TFTPd" => "0.0203",
    "MojoX::Auth::Simple" => "v0.4.3",
    "MojoX::CPAN::Uploader" => "0.032",
    "MojoX::DirectoryListing" => "0.04",
    "MojoX::Dispatcher::Qooxdoo::Jsonrpc" => "0.93",
    "MojoX::Encode::Gzip" => "1.10",
    "MojoX::Log::Dispatch" => "0.1",
    "MojoX::Log::Log4perl" => "0.07",
    "MojoX::Logite" => "0.01",
    "MojoX::Renderer::CTPP2" => "0.02",
    "MojoX::Renderer::HTC" => "0.01",
    "MojoX::Renderer::HTP" => "0.032",
    "MojoX::Renderer::WriteExcel" => "1.11",
    "MojoX::Renderer::XSLT" => "0.01",
    "MojoX::Renderer::Xslate" => "0.09",
    "MojoX::Routes::AsGraph" => "0.04",
    "MojoX::Run" => "0.15",
    "MojoX::Session::Store::File" => "0.01",
    "MojoX::Session::Store::MongoDB" => "0.52",
    "MojoX::UserAgent" => "0.21",
    "Mojolicious" => "4.50",
    "Mojolicious::Command::deploy" => "0.01",
    "Mojolicious::Command::deploy::heroku" => "0.10",
    "Mojolicious::Command::generate::bootstrap" => "0.04",
    "Mojolicious::Command::generate::bootstrap_app" => "0.06",
    "Mojolicious::Command::listdeps" => "0.06",
    "Mojolicious::Command::secret" => "0.02",
    "Mojolicious::Plugin::AccessControl" => "0.03",
    "Mojolicious::Plugin::AccessLog" => "0.004",
    "Mojolicious::Plugin::AnyData" => "1.20",
    "Mojolicious::Plugin::AssetPack" => "0.0201",
    "Mojolicious::Plugin::Authentication" => "1.26",
    "Mojolicious::Plugin::Authorization" => "1.0301",
    "Mojolicious::Plugin::AutoIndex" => "0.0006",
    "Mojolicious::Plugin::AutoRoute" => "0.14",
    "Mojolicious::Plugin::BasicAuth" => "0.07",
    "Mojolicious::Plugin::BasicAuthPlus" => "0.04",
    "Mojolicious::Plugin::Bcrypt" => "0.14",
    "Mojolicious::Plugin::BindSessionToIP" => "0.02",
    "Mojolicious::Plugin::BlogSpam" => "0.06",
    "Mojolicious::Plugin::BootstrapAlert" => "0.02",
    "Mojolicious::Plugin::BrowserDetect" => "0.003",
    "Mojolicious::Plugin::Bundle" => "0.004",
    "Mojolicious::Plugin::CGI" => "0.0601",
    "Mojolicious::Plugin::CHI" => "0.06",
    "Mojolicious::Plugin::CSRFDefender" => "v0.0.8",
    "Mojolicious::Plugin::CSRFProtect" => "0.14",
    "Mojolicious::Plugin::CSSCompressor" => "0.01",
    "Mojolicious::Plugin::Cache" => "0.0015",
    "Mojolicious::Plugin::Captcha" => "0.01",
    "Mojolicious::Plugin::Captcha::reCAPTCHA" => "0.04",
    "Mojolicious::Plugin::CaptchaRenderer" => "0.02",
    "Mojolicious::Plugin::ChromeLogger" => "0.05",
    "Mojolicious::Plugin::ConfigRoutes" => "0.04",
    "Mojolicious::Plugin::ConfigSimple" => "0.04",
    "Mojolicious::Plugin::ConsoleLogger" => "0.05",
    "Mojolicious::Plugin::CountryDropDown" => "0.06",
    "Mojolicious::Plugin::DBICAdmin" => "0.0006",
    "Mojolicious::Plugin::DBIxTransactionManager" => "0.02",
    "Mojolicious::Plugin::DBViewer" => "0.26",
    "Mojolicious::Plugin::DOCRenderer" => "3.01",
    "Mojolicious::Plugin::DSC" => "0.997",
    "Mojolicious::Plugin::Data::Validate::WithYAML" => "0.01",
    "Mojolicious::Plugin::Database" => "1.08",
    "Mojolicious::Plugin::DeCSRF" => "0.94",
    "Mojolicious::Plugin::DigestAuth" => "0.06",
    "Mojolicious::Plugin::Directory" => "0.08",
    "Mojolicious::Plugin::Disqus" => "1.22",
    "Mojolicious::Plugin::Disqus::Tiny" => "1.003",
    "Mojolicious::Plugin::DomIdHelper" => "0.04",
    "Mojolicious::Plugin::Dotcloud" => "1.01",
    "Mojolicious::Plugin::EventSource" => "0.3",
    "Mojolicious::Plugin::FillInFormLite" => "0.01",
    "Mojolicious::Plugin::FormFields" => "0.02",
    "Mojolicious::Plugin::FormValidator" => "0.01",
    "Mojolicious::Plugin::Geo" => "0.02",
    "Mojolicious::Plugin::GoogleAnalytics" => "1.004",
    "Mojolicious::Plugin::Gravatar" => "0.04",
    "Mojolicious::Plugin::GroupedParams" => "0.04",
    "Mojolicious::Plugin::HTMLLint" => "0.04",
    "Mojolicious::Plugin::HTMLTemplateRenderer" => "0.04",
    "Mojolicious::Plugin::HTTPStatusRenderer" => "0.01",
    "Mojolicious::Plugin::HamlRenderer" => "2.000001",
    "Mojolicious::Plugin::HashedParams" => "0.04",
    "Mojolicious::Plugin::HostMeta" => "0.11",
    "Mojolicious::Plugin::Humane" => "0.05",
    "Mojolicious::Plugin::I18N" => "1.0",
    "Mojolicious::Plugin::INIConfig" => "0.03",
    "Mojolicious::Plugin::Ident" => "0.30",
    "Mojolicious::Plugin::InstallablePaths" => "0.03",
    "Mojolicious::Plugin::JSONP" => "0.03",
    "Mojolicious::Plugin::JSUrlFor" => "0.10",
    "Mojolicious::Plugin::JavaScript::Console" => "0.01",
    "Mojolicious::Plugin::KossyValidator" => "0.04",
    "Mojolicious::Plugin::Leafletjs" => "0.004",
    "Mojolicious::Plugin::LeakTracker" => "1.00",
    "Mojolicious::Plugin::Libravatar" => "1.09",
    "Mojolicious::Plugin::LinkedContent" => "0.06",
    "Mojolicious::Plugin::Mail" => "1.1",
    "Mojolicious::Plugin::MailException" => "0.17",
    "Mojolicious::Plugin::MarkaplRenderer" => "v0.2.0",
    "Mojolicious::Plugin::Mason1Renderer" => "0.02",
    "Mojolicious::Plugin::Mason2Renderer" => "0.03",
    "Mojolicious::Plugin::Memorize" => "0.01",
    "Mojolicious::Plugin::Message::Locale" => "0.03",
    "Mojolicious::Plugin::MethodOverride" => "0.020",
    "Mojolicious::Plugin::ModeSwitcher" => "0.02",
    "Mojolicious::Plugin::Mongodb" => "1.15",
    "Mojolicious::Plugin::MountPSGI" => "0.01",
    "Mojolicious::Plugin::MozPersona" => "0.03",
    "Mojolicious::Plugin::MySQLViewerLite" => "0.15",
    "Mojolicious::Plugin::Narada" => "v0.2.1",
    "Mojolicious::Plugin::OAuth2" => "0.9",
    "Mojolicious::Plugin::OnFork" => "0.001",
    "Mojolicious::Plugin::PPI" => "0.04",
    "Mojolicious::Plugin::ParamCondition" => "0.003",
    "Mojolicious::Plugin::ParamExpand" => "0.01",
    "Mojolicious::Plugin::ParamLogger" => "0.01",
    "Mojolicious::Plugin::ParamsAuth" => "0.02",
    "Mojolicious::Plugin::PgAsync" => "0.03",
    "Mojolicious::Plugin::Piwik" => "0.12",
    "Mojolicious::Plugin::PlackMiddleware" => "0.28",
    "Mojolicious::Plugin::ProRenderer" => "0.40",
    "Mojolicious::Plugin::Prove" => "0.01",
    "Mojolicious::Plugin::Proxy" => "0.3",
    "Mojolicious::Plugin::PubSubHubbub" => "0.10",
    "Mojolicious::Plugin::RESTRoutes" => "0.0100065",
    "Mojolicious::Plugin::Recaptcha" => "0.61",
    "Mojolicious::Plugin::RedirectHost" => "0.04",
    "Mojolicious::Plugin::Redis" => "0.03",
    "Mojolicious::Plugin::RelativeUrlFor" => "0.03",
    "Mojolicious::Plugin::RemoteAddr" => "0.02",
    "Mojolicious::Plugin::RenderFile" => "0.06",
    "Mojolicious::Plugin::RequestBase" => "0.01",
    "Mojolicious::Plugin::Resque" => "0.01",
    "Mojolicious::Plugin::SMS" => "0.01",
    "Mojolicious::Plugin::SQLMaker" => "0.03",
    "Mojolicious::Plugin::SQLiteViewerLite" => "0.11",
    "Mojolicious::Plugin::SassRenderer" => "0.02",
    "Mojolicious::Plugin::SaveRequest" => "0.04",
    "Mojolicious::Plugin::ServerSession" => "0.01",
    "Mojolicious::Plugin::SessionStore" => "0.04",
    "Mojolicious::Plugin::ShareHelpers" => "0.6",
    "Mojolicious::Plugin::Shotwell" => "0.0403",
    "Mojolicious::Plugin::SimpleSession" => "0.01",
    "Mojolicious::Plugin::SimpleSlides" => "0.01",
    "Mojolicious::Plugin::Sprite" => "0.01",
    "Mojolicious::Plugin::SslAuth" => "0.07",
    "Mojolicious::Plugin::Subdispatch" => "0.04",
    "Mojolicious::Plugin::Sugar" => "0.002",
    "Mojolicious::Plugin::ToolkitRenderer" => "1.01",
    "Mojolicious::Plugin::Toto" => "0.25",
    "Mojolicious::Plugin::TtRenderer" => "1.50",
    "Mojolicious::Plugin::TweetButton" => "0.0003",
    "Mojolicious::Plugin::UrlWith" => "0.0502",
    "Mojolicious::Plugin::Util::Callback" => "0.03",
    "Mojolicious::Plugin::Util::Endpoint" => "0.15",
    "Mojolicious::Plugin::Util::RandomString" => "0.02",
    "Mojolicious::Plugin::ValidateMoose" => "0.02",
    "Mojolicious::Plugin::ValidateTiny" => "0.12",
    "Mojolicious::Plugin::Vparam" => "0.8",
    "Mojolicious::Plugin::WWWSession" => "0.06",
    "Mojolicious::Plugin::Web::Auth" => "0.04",
    "Mojolicious::Plugin::WebFinger" => "0.05",
    "Mojolicious::Plugin::Webtail" => "0.05",
    "Mojolicious::Plugin::Wolowitz" => "v1.0.1",
    "Mojolicious::Plugin::WriteExcel" => "2.02",
    "Mojolicious::Plugin::XML::Loy" => "0.09",
    "Mojolicious::Plugin::XRD" => "0.07",
    "Mojolicious::Plugin::YamlConfig" => "v0.1.5",
    "Mojolicious::Plugin::YubiVerify" => "0.03",
    "Mojolicious::Plugin::ZombieApocalypse" => "0.01",
    "Moo" => "1.003001",
    "MooX" => "0.101",
    "MooX::Aliases" => "0.001000",
    "MooX::Attributes::Shadow" => "0.03",
    "MooX::ClassAttribute" => "0.010",
    "MooX::ClassStash" => "0.005",
    "MooX::Cmd" => "0.003",
    "MooX::ConfigFromFile" => "0.002",
    "MooX::File::ConfigDir" => "0.002",
    "MooX::HandlesVia" => "0.001004",
    "MooX::HasEnv" => "0.004",
    "MooX::InsideOut" => "0.001002",
    "MooX::Log::Any" => "0.001",
    "MooX::LvalueAttribute" => "0.16",
    "MooX::Options" => "3.90",
    "MooX::PrivateAttributes" => "0.01",
    "MooX::ProtectedAttributes" => "0.03",
    "MooX::Role::POE::Emitter" => "0.120002",
    "MooX::Role::Pluggable" => "0.120006",
    "MooX::Roles::Pluggable" => "0.002",
    "MooX::SetOnce" => "0.001000",
    "MooX::Singleton" => "1.20",
    "MooX::StrictConstructor" => "0.006",
    "MooX::Struct" => "0.012",
    "MooX::Types::CLike" => "0.92",
    "MooX::Types::MooseLike" => "0.25",
    "MooX::Types::MooseLike::Email" => "0.03",
    "MooX::Types::MooseLike::Numeric" => "1.01",
    "MooX::Validate" => "0.000003",
    "MooX::late" => "0.014",
    "Moops" => "0.025",
    "Moos" => "0.15",
    "MooseFS" => "0.04",
    "MooseX" => "0.001",
    "MooseX::ABC" => "0.06",
    "MooseX::ABCD" => "0.002",
    "MooseX::APIRole" => "0.01",
    "MooseX::AbstractFactory" => "0.004001",
    "MooseX::AbstractMethod" => "0.004",
    "MooseX::Aliases" => "0.11",
    "MooseX::Alien" => "1.01",
    "MooseX::AlwaysCoerce" => "0.20",
    "MooseX::App" => "1.22",
    "MooseX::App::Cmd" => "0.10",
    "MooseX::App::Cmd::Command::BashComplete" => "0.04",
    "MooseX::ArrayRef" => "0.004",
    "MooseX::Aspect" => "0.001",
    "MooseX::Async" => "0.07",
    "MooseX::Atom" => "0.02",
    "MooseX::Attribute::Chained" => "v1.0.1",
    "MooseX::Attribute::Deflator" => "v2.2.2",
    "MooseX::Attribute::Dependent" => "v1.1.2",
    "MooseX::Attribute::ENV" => "0.02",
    "MooseX::Attribute::Prototype" => "0.10",
    "MooseX::Attribute::TypeConstraint::CustomizeFatal" => "0.03",
    "MooseX::Attribute::ValidateWithException" => "v0.2.2",
    "MooseX::AttributeCloner" => "0.27",
    "MooseX::AttributeDefaults" => "0.02",
    "MooseX::AttributeHelpers" => "0.23",
    "MooseX::AttributeIndexes" => "v1.0.3",
    "MooseX::AttributeInflate" => "0.03",
    "MooseX::AttributeShortcuts" => "0.022",
    "MooseX::AttributeTags" => "0.001",
    "MooseX::AttributeTree" => "0.05",
    "MooseX::Attributes::Curried" => "0.03",
    "MooseX::AuthorizedMethods" => "0.006",
    "MooseX::AutoDestruct" => "0.009",
    "MooseX::AutoImmute" => "0.001",
    "MooseX::BatmanBeforeRobin" => "0.03",
    "MooseX::Blessed::Reconstruct" => "0.04",
    "MooseX::BuildArgs" => "0.04",
    "MooseX::CachingProxy" => "0.001",
    "MooseX::Callbacks" => "0.01",
    "MooseX::CascadeClearing" => "0.05",
    "MooseX::ClassAttribute" => "0.27",
    "MooseX::ClassCompositor" => "0.008",
    "MooseX::Clone" => "0.05",
    "MooseX::ClosedHash" => "0.002",
    "MooseX::CoercePerAttribute" => "1.000",
    "MooseX::Collect" => "0.92",
    "MooseX::Compile" => "0.01",
    "MooseX::Compile::CLI" => "0.01",
    "MooseX::CompileTime::Traits" => "1.102570",
    "MooseX::ComposedBehavior" => "0.004",
    "MooseX::ConfigFromFile" => "0.12",
    "MooseX::Configuration" => "0.02",
    "MooseX::ConstructInstance" => "0.005",
    "MooseX::Constructor::AllErrors" => "0.021",
    "MooseX::Contract" => "0.01",
    "MooseX::Control" => "0.03",
    "MooseX::CoverableModifiers" => "0.30",
    "MooseX::CurriedDelegation" => "0.001",
    "MooseX::CurriedHandles" => "0.03",
    "MooseX::CustomInitArgs" => "0.003",
    "MooseX::DOM" => "0.00004",
    "MooseX::Daemonize" => "0.18",
    "MooseX::Declare" => "0.37",
    "MooseX::Declare::Context::WithOptions::Patch::Extensible" => "0.001",
    "MooseX::DeclareX" => "0.008",
    "MooseX::DeclareX::Keyword::interface" => "0.003",
    "MooseX::DeclareX::Plugin::abstract" => "0.004",
    "MooseX::DeclareX::Plugin::singleton" => "0.002",
    "MooseX::DeclareX::Privacy" => "0.005",
    "MooseX::DeepAccessors" => "0.02",
    "MooseX::Documenter" => "0.01",
    "MooseX::Does::Delegated" => "0.003",
    "MooseX::EasyAcc" => "0.001",
    "MooseX::Emulate::Class::Accessor::Fast" => "0.00903",
    "MooseX::Error::Exception::Class" => "0.099",
    "MooseX::Error::Trap" => "0.021",
    "MooseX::ErsatzMethod" => "0.003",
    "MooseX::ExtraArgs" => "0.01",
    "MooseX::FSM" => "0.01",
    "MooseX::FileAttribute" => "0.02",
    "MooseX::FollowPBP" => "0.05",
    "MooseX::FunkyAttributes" => "0.002",
    "MooseX::Getopt" => "0.58",
    "MooseX::Getopt::Explicit" => "0.02",
    "MooseX::Getopt::Usage" => "0.14",
    "MooseX::GlobRef" => "0.0701",
    "MooseX::Graph::Easy::StateMachine" => "0.01",
    "MooseX::Has::Options" => "0.003",
    "MooseX::Has::Sugar" => "0.05070421",
    "MooseX::HasDefaults" => "0.03",
    "MooseX::IOC" => "0.03",
    "MooseX::InlineTypes" => "0.002",
    "MooseX::InsideOut" => "0.106",
    "MooseX::InstanceTracking" => "0.06",
    "MooseX::Interface" => "0.007",
    "MooseX::Iterator" => "0.11",
    "MooseX::KeyedMutex" => "0.00003",
    "MooseX::LazyCoercion" => "0.002",
    "MooseX::LazyLogDispatch" => "0.02",
    "MooseX::LazyRequire" => "0.10",
    "MooseX::LeakCheck" => "0.003",
    "MooseX::Lexical::Types" => "0.01",
    "MooseX::LexicalRoleApplication" => "0.03",
    "MooseX::Lists" => "0.05",
    "MooseX::Locked" => "1.01",
    "MooseX::Log::Log4perl" => "0.46",
    "MooseX::LogDispatch" => "1.2002",
    "MooseX::LvalueAttribute" => "0.980",
    "MooseX::MakeImmutable" => "0.02",
    "MooseX::Mangle" => "0.02",
    "MooseX::MarkAsMethods" => "0.15",
    "MooseX::Meta::Attribute::Index" => "0.04",
    "MooseX::Meta::Attribute::Lvalue" => "0.05",
    "MooseX::Meta::Attribute::Searchable" => "0.01",
    "MooseX::Meta::TypeConstraint::ForceCoercion" => "0.01",
    "MooseX::Meta::TypeConstraint::Intersection" => "0.04",
    "MooseX::MetaDescription" => "0.06",
    "MooseX::Method" => "0.44",
    "MooseX::Method::Signatures" => "0.46",
    "MooseX::MethodAttributes" => "0.28",
    "MooseX::ModifyTaggedMethods" => "0.003",
    "MooseX::MultiInitArg" => "0.02",
    "MooseX::MultiMethods" => "0.10",
    "MooseX::MultiObject" => "0.03",
    "MooseX::MungeHas" => "0.004",
    "MooseX::MutatorAttributes" => "0.12",
    "MooseX::NaturalKey" => "0.03",
    "MooseX::NestedAttributesConstructor" => "0.01",
    "MooseX::Net::API" => "0.12",
    "MooseX::NewDefaults" => "0.004",
    "MooseX::NiftyDelegation" => "0.002",
    "MooseX::NonMoose" => "0.24",
    "MooseX::NotRequired" => "0.11",
    "MooseX::Object::Pluggable" => "0.0011",
    "MooseX::Observer" => "0.010",
    "MooseX::OmniTrigger" => "0.06",
    "MooseX::OneArgNew" => "0.004",
    "MooseX::POE" => "0.215",
    "MooseX::Param" => "0.02",
    "MooseX::Params" => "0.010",
    "MooseX::Params::Validate" => "0.18",
    "MooseX::Plaggerize" => "0.07",
    "MooseX::Policy::SemiAffordanceAccessor" => "0.02",
    "MooseX::Privacy" => "0.05",
    "MooseX::PrivateSetters" => "0.08",
    "MooseX::Prototype" => "0.002",
    "MooseX::Q4MLog" => "0.00002",
    "MooseX::RW" => "0.003",
    "MooseX::RelatedClassRoles" => "0.004",
    "MooseX::RelatedClasses" => "0.007",
    "MooseX::RememberHistory" => "0.001",
    "MooseX::RemoteHelper" => "0.001013",
    "MooseX::Role::AttributeOverride" => "v0.0.9",
    "MooseX::Role::BuildInstanceOf" => "0.08",
    "MooseX::Role::Callback" => "0.01",
    "MooseX::Role::Cmd" => "0.10",
    "MooseX::Role::DBIC" => "0.01",
    "MooseX::Role::DBIx::Connector" => "0.11",
    "MooseX::Role::Data::Verifier" => "0.01",
    "MooseX::Role::Debugger" => "1.112680",
    "MooseX::Role::DryRunnable" => "0.006",
    "MooseX::Role::Flyweight" => "1.02",
    "MooseX::Role::HTML::Grabber" => "0.002",
    "MooseX::Role::Listenable" => "0.005",
    "MooseX::Role::LogHandler" => "0.008",
    "MooseX::Role::Loggable" => "0.112",
    "MooseX::Role::Logger" => "0.001",
    "MooseX::Role::Matcher" => "0.05",
    "MooseX::Role::MissingMethodUtils" => "0.02",
    "MooseX::Role::MongoDB" => "0.003",
    "MooseX::Role::Net::OpenSSH" => "0.001",
    "MooseX::Role::Parameterized" => "1.02",
    "MooseX::Role::Pluggable" => "0.04",
    "MooseX::Role::Restricted" => "1.03",
    "MooseX::Role::Strict" => "0.05",
    "MooseX::Role::Tempdir" => "0.03",
    "MooseX::Role::Timer" => "0.03",
    "MooseX::Role::TraitConstructor" => "0.01",
    "MooseX::Role::WithOverloading" => "0.13",
    "MooseX::Role::WithWorkingDirectory" => "0.02",
    "MooseX::Role::XMLRPC::Client" => "0.06",
    "MooseX::RoleFor" => "0.001",
    "MooseX::RoleQR" => "0.003",
    "MooseX::Runnable" => "0.03",
    "MooseX::Runnable::Fuse" => "0.02",
    "MooseX::Scaffold" => "0.05",
    "MooseX::ScopedConfig" => "0.03",
    "MooseX::Semantic" => "0.006",
    "MooseX::SemiAffordanceAccessor" => "0.09",
    "MooseX::SetOnce" => "0.200002",
    "MooseX::ShortCut::BuildInstance" => "v0.8.7",
    "MooseX::SimpleConfig" => "0.09",
    "MooseX::SingleArg" => "0.04",
    "MooseX::Singleton" => "0.29",
    "MooseX::SingletonMethod" => "0.03",
    "MooseX::SlurpyConstructor" => "1.2",
    "MooseX::Storage" => "0.43",
    "MooseX::Storage::DBIC" => "0.01",
    "MooseX::Storage::Format::JSONpm" => "0.093093",
    "MooseX::Storage::Format::XML::Simple" => "0.04",
    "MooseX::StrictConstructor" => "0.19",
    "MooseX::Struct" => "0.06",
    "MooseX::Templated" => "0.02",
    "MooseX::Test::Role" => "0.03",
    "MooseX::Timestamp" => "0.07",
    "MooseX::TrackDirty::Attributes" => "2.002",
    "MooseX::Traits" => "0.11",
    "MooseX::Traits::Attribute::MergeHashRef" => "1.002",
    "MooseX::Traits::Pluggable" => "0.10",
    "MooseX::TransactionalMethods" => "0.008",
    "MooseX::Tree" => "0.001",
    "MooseX::TypeArray" => "v0.1.0",
    "MooseX::TypeMap" => "0.003000",
    "MooseX::Types" => "0.38",
    "MooseX::Types::Authen::Passphrase" => "0.02",
    "MooseX::Types::Buf" => "0.01",
    "MooseX::Types::CIDR" => "1.000000",
    "MooseX::Types::CNPJ" => "0.02",
    "MooseX::Types::CPF" => "0.02",
    "MooseX::Types::Common" => "0.001010",
    "MooseX::Types::CreditCard" => "0.002000",
    "MooseX::Types::DBIx::Class" => "0.05",
    "MooseX::Types::Data::GUID" => "0.001000",
    "MooseX::Types::Data::Serializer" => "0.02",
    "MooseX::Types::Date::Piece" => "0.03",
    "MooseX::Types::DateTime" => "0.08",
    "MooseX::Types::DateTime::ButMaintained" => "0.16",
    "MooseX::Types::DateTime::MoreCoercions" => "0.11",
    "MooseX::Types::DateTime::MySQL" => "0.003",
    "MooseX::Types::DateTime::W3C" => "1.103360",
    "MooseX::Types::DateTimeX" => "0.10",
    "MooseX::Types::Digest" => "0.03",
    "MooseX::Types::ElasticSearch" => "v0.0.2",
    "MooseX::Types::Email" => "0.006",
    "MooseX::Types::Email::Loose" => "0.01",
    "MooseX::Types::EmailAddress" => "v1.1.2",
    "MooseX::Types::FakeHash" => "v0.1.2",
    "MooseX::Types::GTIN" => "0.01",
    "MooseX::Types::HTTPMethod" => "0.001",
    "MooseX::Types::IO" => "0.03",
    "MooseX::Types::IPv4" => "0.03",
    "MooseX::Types::ISO8601" => "0.14",
    "MooseX::Types::Implements" => "1.103350",
    "MooseX::Types::JSON" => "0.02",
    "MooseX::Types::LWP::UserAgent" => "0.02",
    "MooseX::Types::LaxNum" => "0.04",
    "MooseX::Types::LoadableClass" => "0.012",
    "MooseX::Types::Locale::BR" => "0.01",
    "MooseX::Types::Locale::Country" => "0.04",
    "MooseX::Types::Locale::Currency" => "0.001004",
    "MooseX::Types::Locale::Language" => "0.06",
    "MooseX::Types::Log::Dispatch" => "0.002000",
    "MooseX::Types::LogAny" => "0.001001",
    "MooseX::Types::Meta" => "0.01",
    "MooseX::Types::Moose::MutualCoercion" => "0.03",
    "MooseX::Types::NetAddr::IP" => "0.06",
    "MooseX::Types::NumUnit" => "0.04",
    "MooseX::Types::PIS" => "0.02",
    "MooseX::Types::Parameterizable" => "0.08",
    "MooseX::Types::Path::Class" => "0.06",
    "MooseX::Types::Path::Class::MoreCoercions" => "0.003",
    "MooseX::Types::Path::Tiny" => "0.006",
    "MooseX::Types::Perl" => "0.101342",
    "MooseX::Types::PerlVersion" => "0.002",
    "MooseX::Types::PortNumber" => "0.02",
    "MooseX::Types::Ro" => "0.002",
    "MooseX::Types::Set::Object" => "0.03",
    "MooseX::Types::Signal" => "1.101932",
    "MooseX::Types::Stringlike" => "0.001",
    "MooseX::Types::Structured" => "0.28",
    "MooseX::Types::Tied" => "0.003",
    "MooseX::Types::Time::Piece" => "0.10",
    "MooseX::Types::URI" => "0.03",
    "MooseX::Types::UUID" => "0.03",
    "MooseX::Types::UniStr" => "0.01",
    "MooseX::Types::Varchar" => "0.05",
    "MooseX::Types::VariantTable" => "0.04",
    "MooseX::Types::Vehicle" => "0.03",
    "MooseX::Types::XML::LibXML" => "0.002",
    "MooseX::Types::XMLSchema" => "0.06",
    "MooseX::UndefTolerant" => "0.19",
    "MooseX::Unique" => "0.005",
    "MooseX::Util" => "0.001",
    "MooseX::Validation::Doctypes" => "0.05",
    "MooseX::WithCache" => "0.01002",
    "MooseX::Workers" => "0.23",
    "MooseX::XSAccessor" => "0.005",
    "MooseX::YAML" => "0.04",
    "MooseX::amine" => "0.3",
    "MooseX::hasn::t" => "0.002",
    "Plack" => "1.0029",
    "Plack::App::Apache::ActionWrapper" => "v0.31.0",
    "Plack::App::BeanstalkConsole" => "0.005",
    "Plack::App::CLI" => "0.1",
    "Plack::App::CocProxy" => "0.04",
    "Plack::App::DAIA" => "0.52",
    "Plack::App::DAV" => "0.03",
    "Plack::App::DataSection" => "0.05",
    "Plack::App::Directory::Markdown" => "0.07",
    "Plack::App::Directory::Template" => "0.26",
    "Plack::App::Directory::Xslate" => "0.07",
    "Plack::App::DummyBox" => "0.041",
    "Plack::App::FCGIDispatcher" => "0.10",
    "Plack::App::FakeApache" => "0.03",
    "Plack::App::FakeApache1" => "v0.0.3",
    "Plack::App::Gearman::Status" => "0.001001",
    "Plack::App::GitHub::WebHook" => "0.2",
    "Plack::App::GitSmartHttp" => "0.05",
    "Plack::App::Hash" => "0.002",
    "Plack::App::ImageMagick" => "1.110990",
    "Plack::App::JSP" => "0.101680",
    "Plack::App::MCCS" => "0.005",
    "Plack::App::OpenVPN::Status" => "0.16",
    "Plack::App::PHPCGI" => "0.03",
    "Plack::App::Path::Router" => "0.05",
    "Plack::App::PgREST" => "0.06",
    "Plack::App::Prack" => "0.02",
    "Plack::App::Proxy" => "0.29",
    "Plack::App::Proxy::Selective" => "0.10",
    "Plack::App::Proxy::WebSocket" => "0.03",
    "Plack::App::PubSubHubbub::Subscriber" => "0.2",
    "Plack::App::RDF::Files" => "0.02",
    "Plack::App::SeeAlso" => "0.12",
    "Plack::App::TemplateToolkit" => "0.06",
    "Plack::App::WrapApacheReq" => "0.01",
    "Plack::App::unAPI" => "0.61",
    "Plack::Builder::Conditionals" => "0.05",
    "Plack::Client" => "0.06",
    "Plack::Handler::AnyEvent::FCGI" => "0.01",
    "Plack::Handler::AnyEvent::HTTPD" => "0.03",
    "Plack::Handler::AnyEvent::ReverseHTTP" => "0.04",
    "Plack::Handler::AnyEvent::SCGI" => "0.02",
    "Plack::Handler::CLI" => "0.05",
    "Plack::Handler::FCGI::EV" => "0.01",
    "Plack::Handler::Net::FastCGI" => "0.01",
    "Plack::Handler::SCGI" => "0.02",
    "Plack::Handler::Stomp" => "1.07",
    "Plack::Middleware::AMF" => "0.02",
    "Plack::Middleware::Access" => "0.3",
    "Plack::Middleware::AccessLog::Structured" => "0.001000",
    "Plack::Middleware::AccessLog::Structured::ZeroMQ" => "0.001000",
    "Plack::Middleware::Acme::PHPE9568F34::D428::11d2::A769::00AA001ACF42" => "3.141000",
    "Plack::Middleware::Acme::YadaYada" => "0.01",
    "Plack::Middleware::ActiveMirror" => "0.02",
    "Plack::Middleware::AddDefaultCharset" => "0.02",
    "Plack::Middleware::Apache2::ModSSL" => "0.001",
    "Plack::Middleware::AppStoreReceipt" => "0.003",
    "Plack::Middleware::Assets" => "v0.0.2",
    "Plack::Middleware::Assets::RailsLike" => "0.13",
    "Plack::Middleware::Auth::AccessToken" => "0.11",
    "Plack::Middleware::Auth::Bitcard" => "0.001",
    "Plack::Middleware::Auth::Digest" => "0.04",
    "Plack::Middleware::Auth::Form" => "0.011",
    "Plack::Middleware::Auth::Htpasswd" => "0.02",
    "Plack::Middleware::Auth::Negotiate" => "0.02",
    "Plack::Middleware::Auth::OAuth" => "0.06",
    "Plack::Middleware::Auth::QueryString" => "0.02",
    "Plack::Middleware::AutoRefresh" => "0.08",
    "Plack::Middleware::AutoReloadCSS" => "0.02",
    "Plack::Middleware::AxsLog" => "0.12",
    "Plack::Middleware::BetterStackTrace" => "0.02",
    "Plack::Middleware::BotDetector" => "v1.20120920.752",
    "Plack::Middleware::BrowserDetector" => "0.04",
    "Plack::Middleware::CSRFBlock" => "0.08",
    "Plack::Middleware::CSS::Compressor" => "0.01",
    "Plack::Middleware::Cache" => "0.12",
    "Plack::Middleware::Cached" => "0.13",
    "Plack::Middleware::Cerberus" => "0.04",
    "Plack::Middleware::ChromeFrame" => "0.02",
    "Plack::Middleware::Class::Refresh" => "0.01",
    "Plack::Middleware::Cleanup" => "0.003",
    "Plack::Middleware::ComboLoader" => "0.04",
    "Plack::Middleware::Compile" => "0.01",
    "Plack::Middleware::ConsoleLogger" => "0.04",
    "Plack::Middleware::CrossOrigin" => "0.009",
    "Plack::Middleware::CustomErrorDocument" => "0.004",
    "Plack::Middleware::DBIC::QueryLog" => "0.05",
    "Plack::Middleware::DBIx::DisconnectAll" => "0.02",
    "Plack::Middleware::Debug" => "0.16",
    "Plack::Middleware::Debug::Ajax" => "0.02",
    "Plack::Middleware::Debug::CatalystPluginCache" => "0.101",
    "Plack::Middleware::Debug::DBIC::QueryLog" => "0.09",
    "Plack::Middleware::Debug::DBIProfile" => "0.102",
    "Plack::Middleware::Debug::Dancer::TemplateVariables" => "0.002",
    "Plack::Middleware::Debug::LazyLoadModules" => "0.06",
    "Plack::Middleware::Debug::Log4perl" => "0.04",
    "Plack::Middleware::Debug::Mongo" => "0.03",
    "Plack::Middleware::Debug::Profiler::NYTProf" => "0.06",
    "Plack::Middleware::Debug::Redis" => "0.03",
    "Plack::Middleware::Debug::Timed::Logger" => "v0.0.5",
    "Plack::Middleware::Debug::TraceENV" => "0.041",
    "Plack::Middleware::Debug::W3CValidate" => "0.04",
    "Plack::Middleware::DebugRequestParams" => "0.06",
    "Plack::Middleware::DefaultDocument" => "0.02",
    "Plack::Middleware::Deflater" => "0.12",
    "Plack::Middleware::Delay" => "0.01",
    "Plack::Middleware::DetectMobileBrowsers" => "0.03",
    "Plack::Middleware::DevFavicon" => "0.02",
    "Plack::Middleware::DevFilter" => "0.01",
    "Plack::Middleware::DiePretty" => "0.001",
    "Plack::Middleware::DirIndex" => "0.01",
    "Plack::Middleware::DoCoMoGUID" => "0.06",
    "Plack::Middleware::ESI" => "0.1",
    "Plack::Middleware::ETag" => "0.03",
    "Plack::Middleware::EasyHooks" => "0.02",
    "Plack::Middleware::Expires" => "0.04",
    "Plack::Middleware::ExtDirect" => "2.01",
    "Plack::Middleware::File::Less" => "0.02",
    "Plack::Middleware::File::Sass" => "0.03",
    "Plack::Middleware::FileWrap" => "0.01",
    "Plack::Middleware::FirePHP" => "0.01",
    "Plack::Middleware::Firebug::Lite" => "v0.2.3",
    "Plack::Middleware::FixIEXDomainRequestBug" => "0.001",
    "Plack::Middleware::ForceEnv" => "0.02",
    "Plack::Middleware::GeoIP" => "0.03",
    "Plack::Middleware::GepokX::ModSSL" => "0.001",
    "Plack::Middleware::GitRevisionInfo" => "0.002",
    "Plack::Middleware::GitStatus" => "0.02",
    "Plack::Middleware::GoogleAnalytics" => "0.001",
    "Plack::Middleware::HTMLLint" => "0.02",
    "Plack::Middleware::HTMLMinify" => "v1.0.0",
    "Plack::Middleware::HTMLify" => "v0.1.1",
    "Plack::Middleware::Header" => "0.04",
    "Plack::Middleware::Headers" => "0.10",
    "Plack::Middleware::IEnosniff" => "0.02",
    "Plack::Middleware::IPAddressFilter" => "0.02",
    "Plack::Middleware::Image::Dummy" => "0.05",
    "Plack::Middleware::Image::Scale" => "0.009",
    "Plack::Middleware::Inline" => "0.02",
    "Plack::Middleware::InteractiveDebugger" => "0.01",
    "Plack::Middleware::JSConcat" => "0.29",
    "Plack::Middleware::JSON::ForBrowsers" => "0.001000",
    "Plack::Middleware::JSONP::Headers" => "0.11",
    "Plack::Middleware::JavaScript::Ectype" => "v0.0.1",
    "Plack::Middleware::Log::Contextual" => "0.01",
    "Plack::Middleware::Log::Minimal" => "0.06",
    "Plack::Middleware::LogAny" => "0.001",
    "Plack::Middleware::LogErrors" => "0.001",
    "Plack::Middleware::LogWarn" => "0.001002",
    "Plack::Middleware::LowerUrl" => "0.01",
    "Plack::Middleware::MemoryUsage" => "0.03",
    "Plack::Middleware::MethodOverride" => "0.10",
    "Plack::Middleware::Mirror" => "0.401",
    "Plack::Middleware::Negotiate" => "0.10",
    "Plack::Middleware::NeverExpire" => "1.004",
    "Plack::Middleware::NoDeflate" => "0.01",
    "Plack::Middleware::NoMultipleSlashes" => "0.001",
    "Plack::Middleware::OAuth" => "0.10",
    "Plack::Middleware::Options" => "0.01",
    "Plack::Middleware::OptionsOK" => "0.01",
    "Plack::Middleware::Pjax" => "1.113400",
    "Plack::Middleware::Precompressed" => "1.101",
    "Plack::Middleware::Profiler::KYTProf" => "0.08",
    "Plack::Middleware::Profiler::NYTProf" => "0.14",
    "Plack::Middleware::Proxy::ByHeader" => "0.01",
    "Plack::Middleware::Proxy::Requests" => "0.0102",
    "Plack::Middleware::ProxyMap" => "0.12",
    "Plack::Middleware::QRCode" => "0.02",
    "Plack::Middleware::RDF::Flow" => "0.171",
    "Plack::Middleware::REPL" => "0.01",
    "Plack::Middleware::REST" => "0.02",
    "Plack::Middleware::RealIP" => "0.03",
    "Plack::Middleware::Recorder" => "0.03",
    "Plack::Middleware::RedirectSSL" => "1.001",
    "Plack::Middleware::RefererCheck" => "0.03",
    "Plack::Middleware::Reproxy" => "0.00004",
    "Plack::Middleware::RequestHeaders" => "0.04",
    "Plack::Middleware::ReverseProxy" => "0.15",
    "Plack::Middleware::ReverseProxyPath" => "0.03",
    "Plack::Middleware::Rewrite" => "1.007",
    "Plack::Middleware::SSI" => "0.12",
    "Plack::Middleware::Scope::Container" => "0.04",
    "Plack::Middleware::Scope::Session" => "0.01",
    "Plack::Middleware::Scrutiny" => "0.02",
    "Plack::Middleware::ServerName" => "0.02",
    "Plack::Middleware::ServerStatus::Lite" => "0.33",
    "Plack::Middleware::ServerStatus::Tiny" => "0.002",
    "Plack::Middleware::Session" => "0.21",
    "Plack::Middleware::Session::RemoveCookies" => "0.02",
    "Plack::Middleware::Session::SerializedCookie" => "1.03",
    "Plack::Middleware::SetAccept" => "0.01",
    "Plack::Middleware::SetEnvFromHeader" => "0.01",
    "Plack::Middleware::SizeLimit" => "0.05",
    "Plack::Middleware::SocketIO" => "0.00904",
    "Plack::Middleware::Static::Combine" => "0.01",
    "Plack::Middleware::Static::Minifier" => "0.071",
    "Plack::Middleware::Static::OpenFileCache" => "0.02",
    "Plack::Middleware::Static::Range" => "0.01",
    "Plack::Middleware::StaticShared" => "0.05",
    "Plack::Middleware::Status" => "1.101150",
    "Plack::Middleware::SuppressResponseCodes" => "0.2",
    "Plack::Middleware::TMT" => "0.04",
    "Plack::Middleware::TazXSLT" => "0.52",
    "Plack::Middleware::TemplateToolkit" => "0.26",
    "Plack::Middleware::Test::StashWarnings" => "0.07",
    "Plack::Middleware::Throttle" => "0.01",
    "Plack::Middleware::Throttle::Lite" => "0.05",
    "Plack::Middleware::Throttle::Lite::Backend::Memcached" => "0.03",
    "Plack::Middleware::Throttle::Lite::Backend::Redis" => "0.04",
    "Plack::Middleware::TimeStats" => "0.02",
    "Plack::Middleware::Timed::Logger" => "v0.0.5",
    "Plack::Middleware::TrafficLog" => "0.0202",
    "Plack::Middleware::UnicodePictogramFallback::TypeCast" => "0.02",
    "Plack::Middleware::UseChromeFrame" => "1.003",
    "Plack::Middleware::WURFL::ScientiaMobile" => "0.01",
    "Plack::Middleware::Watermark" => "0.01",
    "Plack::Middleware::Woothee" => "0.01",
    "Plack::Middleware::XForwardedFor" => "0.103060",
    "Plack::Middleware::XFrameOptions::All" => "0.2",
    "Plack::Middleware::XSLT" => "0.20002",
    "Plack::Middleware::XSRFBlock" => "v0.0.1",
    "Plack::Middleware::Xslate" => "0.03",
    "Plack::Middleware::iPhone" => "1.102060",
    "Plack::Request::WithEncoding" => "0.01",
    "Plack::ResponseHelper" => "0.05",
    "Plack::Server::AnyEvent" => "0.04",
    "Plack::Server::AnyEvent::Server::Starter" => "0.00002",
    "Plack::Server::Coro" => "0.02",
    "Plack::Session::State::URI" => "0.06",
    "Plack::Session::Store::Catmandu" => "0.02",
    "Plack::Session::Store::KyotoTycoon" => "0.1",
    "Plack::Session::Store::MongoDB" => "0.4",
    "Plack::Session::Store::Redis" => "0.05",
    "Plack::Test::Agent" => "1.20111011",
    "Plack::Test::AnyEvent" => "0.05",
    "Plack::Test::ExternalServer" => "0.01",
    "Plack::Test::Simple" => "0.000007",
    "PlackX::MiddlewareStack" => "0.011",
    "PlackX::RouteBuilder" => "0.03",
    "Rex" => "v0.43.7",
    "Rex::Apache::Deploy" => "v0.11.0",
    "Rex::Augeas" => "v0.2.0",
    "Rex::Bundle" => "v0.5.0",
    "Rex::Endpoint::HTTP" => "v0.35.0",
    "Rex::Gearman" => "v0.32.0",
    "Rex::Template::Mojo" => "1.0",
    "Rex::Template::TT" => "v0.33.1",
    "Rex::WebUI" => "0.01",
    "Task::Cpanel::Kensho" => "v11.36.1",
    "Task::Kensho" => "0.33",
    "Task::Kensho::Async" => "0.28",
    "Task::Kensho::CLI" => "0.29",
    "Task::Kensho::Config" => "0.28",
    "Task::Kensho::DBDev" => "0.28",
    "Task::Kensho::Dates" => "0.28",
    "Task::Kensho::Email" => "0.28",
    "Task::Kensho::ExcelCSV" => "0.28",
    "Task::Kensho::Exceptions" => "0.28",
    "Task::Kensho::Hackery" => "0.28",
    "Task::Kensho::Logging" => "0.01",
    "Task::Kensho::ModuleDev" => "0.28",
    "Task::Kensho::OOP" => "0.28",
    "Task::Kensho::Scalability" => "0.28",
    "Task::Kensho::Testing" => "0.29",
    "Task::Kensho::Toolchain" => "0.28",
    "Task::Kensho::WebCrawling" => "0.28",
    "Task::Kensho::WebDev" => "0.29",
    "Task::Kensho::XML" => "0.28",
    "Type::Tiny" => "0.030",
    "Types::Path::Tiny" => "0.005"
  },
  "TEST_REQUIRES" => {},
  "VERSION" => "0.03",
  "test" => {
    "TESTS" => ""
  }
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  my $tr = delete $WriteMakefileArgs{TEST_REQUIRES};
  my $br = $WriteMakefileArgs{BUILD_REQUIRES};
  for my $mod ( keys %$tr ) {
    if ( exists $br->{$mod} ) {
      $br->{$mod} = $tr->{$mod} if $tr->{$mod} > $br->{$mod};
    }
    else {
      $br->{$mod} = $tr->{$mod};
    }
  }
}

unless ( eval { ExtUtils::MakeMaker->VERSION(6.56) } ) {
  my $br = delete $WriteMakefileArgs{BUILD_REQUIRES};
  my $pp = $WriteMakefileArgs{PREREQ_PM};
  for my $mod ( keys %$br ) {
    if ( exists $pp->{$mod} ) {
      $pp->{$mod} = $br->{$mod} if $br->{$mod} > $pp->{$mod};
    }
    else {
      $pp->{$mod} = $br->{$mod};
    }
  }
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



